TEST-NGINX-AUTOPKGTEST-COMMAND(1)

NAME
test-nginx-autopkgtest-command - run Test::Nginx tests under autopkgtest

SYNOPSIS
test-nginx-autopkgtest-command [prove-arguments...]

DESCRIPTION
test-nginx-autopkgtest-command configures Test::Nginx to use the system nginx installation and runs the package's tests. If command-line arguments are given, they are passed to prove(1). If debian/tests/test-nginx-prepare exists and is executable, it is run before the test suite. When invoked without arguments, the command runs all .t files below t/, except those listed in debian/tests/test-nginx-failures. Tests listed in debian/tests/test-nginx-failures are then run separately and are expected to fail.

SEE ALSO
prove(1), nginx(8)